-- phpMyAdmin SQL Dump
-- version 3.3.7deb6
-- http://www.phpmyadmin.net
--
-- Host: mysql1.cbs.mpg.de
-- Erstellungszeit: 02. Dezember 2011 um 14:37
-- Server Version: 5.1.49
-- PHP-Version: 5.3.3-7+squeeze3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `instantafs`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `addresses`
--

CREATE TABLE IF NOT EXISTS `addresses` (
  `uuid` varchar(37) NOT NULL 
 COMMENT 'UUID of the AFS-Fileservers'
 ,
  `address` varchar(50) NOT NULL 
 COMMENT 'One addres of the Fileserver (IP or Name)'
 ,
  `viewname` tinyint(1) NOT NULL 
 COMMENT 'This address is the viewname of the server'
 ,
  `io` tinyint(1) NOT NULL 
 COMMENT '==1, if this address is available via network'
 ,
  `infotime` bigint(20) NOT NULL 
 COMMENT 'Last update of this address record',
  UNIQUE KEY `address` (`address`),
  KEY `uuid` (`uuid`),
  KEY `addresses` (`uuid`,`io`)
)
 ENGINE=MyISAM DEFAULT CHARSET=latin1
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `afsids`
--

CREATE TABLE IF NOT EXISTS `afsids` (
  `name` varchar(40) NOT NULL 
 COMMENT 'Name of the PTDB entry'
 ,
  `afsid` int(11) NOT NULL 
 COMMENT 'AFSID of the PTDB entry',
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `afsid` (`afsid`)
)
 ENGINE=MyISAM DEFAULT CHARSET=latin1
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `instances`
--

CREATE TABLE IF NOT EXISTS `instances` (
  `volumename` varchar(22) NOT NULL 
 COMMENT 'Name of the associated volume'
 ,
  `instancetype` tinyint(1) NOT NULL 
 COMMENT 'Type of  the instance (0=rw,1=ro,2=backup)'
 ,
  `serveruuid` varchar(37) NOT NULL 
 COMMENT 'UUID of the AFS-Fileserver'
 ,
  `partition` varchar(2) NOT NULL 
 COMMENT 'Partition name (the part after /vicep) - i.e. "a"'
 ,
  `size` bigint(20) NOT NULL 
 COMMENT 'Used size of the volume instance in Bytes'
 ,
  `quota` bigint(20) NOT NULL 
 COMMENT 'Maximum size of the volume instance in Bytes'
 ,
  `files` bigint(20) NOT NULL 
 COMMENT 'Number of Inodes in the volume instance'
 ,
  `ctime` bigint(20) NOT NULL 
 COMMENT 'Creation time of the volume instance'
 ,
  `mtime` bigint(20) NOT NULL 
 COMMENT 'Last modification of the volume instance'
 ,
  `atime` bigint(20) NOT NULL 
 COMMENT 'Last read access to this volume instance'
 ,
  `id` int(11) NOT NULL 
 COMMENT 'ID of the volume instance'
 ,
  `online` tinyint(1) NOT NULL 
 COMMENT 'Volume instance online on the fileserver'
 ,
  `needssalvage` tinyint(1) NOT NULL 
 COMMENT 'If the volume is in need of checking (by the salvager)'
 ,
  `isbusy` tinyint(1) NOT NULL 
 COMMENT 'If the instance is currently in use by the volserver',
  KEY `name` (`volumename`),
  KEY `instances` (`volumename`,`instancetype`),
  KEY `location` (`serveruuid`,`partition`)
) 
 ENGINE=MyISAM DEFAULT CHARSET=latin1 
 COMMENT='Volume instances read from partitions, infotime is stored in'
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `memberships`
--

CREATE TABLE IF NOT EXISTS `memberships` (
  `afsgroup` int(11) NOT NULL 
 COMMENT 'AFSID of the group'
 ,
  `member` int(11) NOT NULL 
 COMMENT 'AFSID of the member (group or user)',
  UNIQUE KEY `membership` (`afsgroup`,`member`),
  KEY `group` (`afsgroup`),
  KEY `member` (`member`)
) 
 ENGINE=MyISAM DEFAULT CHARSET=latin1 
 COMMENT='PTDB group memberships'
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `partitions`
--

CREATE TABLE IF NOT EXISTS `partitions` (
  `serveruuid` varchar(37) NOT NULL 
 COMMENT 'UUID of the AFS-Fileservers'
 ,
  `partition` varchar(2) NOT NULL 
 COMMENT 'Partition name (the part after /vicep) - i.e. "a"'
 ,
  `scanlength` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Time it took to read this partition''s instance information last time'
 ,
  `partsize` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Size of the partition in Byte'
 ,
  `partfree` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Free space on the partition in Byte'
 ,
  `infotime` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Time of the last update of this record'
 ,
  `ponline` tinyint(1) NOT NULL DEFAULT '0'
 COMMENT 'Will be set to 0 if there is evidence for the partition being offline'
 ,
  `quotasum` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all instances'' quota on this partitions'
 ,
  `quotasumrw` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all RW instances'' quota on this partition'
 ,
  `sizesum` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all instances'' sizes on this partition'
 ,
  `sizesumrw` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all RW instances'' sizes on this partition'
 ,
  `filessum` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all instances'' filecounts on this partition'
 ,
  `filessumrw` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all RW instances'' filecounts on this partition'
 ,
  `partinstances` bigint(11) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all instances'' filecounts on this partition'
 ,
  `partinstancesrw` bigint(11) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all RW instances'' filecounts on this partition'
 ,
  `partvolumes` bigint(11) NOT NULL DEFAULT '0'
 COMMENT 'Sum of all volume groups (AFS term) on this partition'
 ,
  `maxmtimerw` bigint(20) NOT NULL DEFAULT '0'
 COMMENT 'Time if the last update of all the RW instances of this partition',
  UNIQUE KEY `location` (`serveruuid`,`partition`)
)
 ENGINE=MyISAM DEFAULT CHARSET=latin1 
 COMMENT='Fileserver Partitions'
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `vldbinstances`
--

CREATE TABLE IF NOT EXISTS `vldbinstances` (
  `volumename` varchar(22) NOT NULL 
 COMMENT 'Name of the associated volume'
 ,
  `instancetype` tinyint(4) NOT NULL 
 COMMENT 'Type of  the instance (0=rw,1=ro,2=backup)'
 ,
  `serveruuid` varchar(37) NOT NULL 
 COMMENT 'UUID of the AFS-Fileserver'
 ,
  `partition` varchar(2) NOT NULL 
 COMMENT 'Partition name (the part after /vicep) - i.e. "a"'
 ,
  `rostate` tinyint(4) NOT NULL 
 COMMENT 'State of the RO instance (0:sync,1:old release,2:no relase yet)',
  UNIQUE KEY `unique` (`volumename`,`serveruuid`,`instancetype`)
)
 ENGINE=MyISAM DEFAULT CHARSET=latin1 
 COMMENT='Instances from the VLDB''s point of view'
 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `volumes`
--

CREATE TABLE IF NOT EXISTS `volumes` (
  `volumename` varchar(22) NOT NULL 
 COMMENT 'Name of the volume'
 ,
  `rwid` int(11) 
 COMMENT 'ID of the volume and the RW-instance'
 ,
  `roid` int(11) 
 COMMENT 'ID of RO-Instances'
 ,
  `backupid` int(11) 
 COMMENT 'ID of the Backup-Instance'
 ,
  `rostate` tinyint(4)
 COMMENT 'State of the RO copies (0:in sync,1:no in sync,2:no ro)'
 ,
  `locked` tinyint(1) NOT NULL
 COMMENT 'If the volume is locked in VLDB or not'
 ,
  `synctry_ro` int(11) 
 COMMENT 'Last time, a ro-release was ommited because of no change to the rw'
 ,
  `synctry_backup` int(11) 
 COMMENT 'Last time, a backup-sync was ommited because of no change to the rw',
  UNIQUE KEY `name` (`volumename`)
)
 ENGINE=MyISAM DEFAULT CHARSET=latin1
  ;
