package AFS::Instant;

use strict;
use 5.006;

require Exporter;
our @ISA=qw(
	Exporter
);
our $VERSION='3';

=head1 NAME

AFS::Instant - Easy AFS Management for debian

=head1 AUTHOR

Frank Burkhardt <burk@cbs.mpg.de>

=head1 EXAMPLES

=head2 InstantAFS-Skeleton-Skript

 #!/usr/bin/perl -w
 use strict;
 use AFS::Instant::Toolz;

 my $HELP=0;

 sub help {
    print "ia-skeleton 1.0 - makes the best foo

 Syntax: ia-skeleton {[options]}
 
 options:
  -h, --help            this help screen
  ";
    instantafs_help();
 }
 
 instantafs_init(
    'cmdoptions' => {
       'help|h' => \$HELP,
    }
 );

=cut


1;

__END__
